## Package org.apache.poi.hslf.exceptions

Exception Summary
CorruptPowerPointFileException: This exception is thrown when we try to open a PowerPoint file, and something is fundamentally broken about it.
EncryptedPowerPointFileException: This exception is thrown when we try to open a PowerPoint file, and discover that it is encrypted
HSLFException: A generic exception that can be thrown by HSLF classes
InvalidRecordFormatException: This exception is thrown when we try to create a record, and the underlying data just doesn't match up
OldPowerPointFormatException: This exception is thrown when we try to open a PowerPoint file, and it's too old for us.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.